Get a Template

Get a Template.

KeyDescription
VONAGE_APPLICATION_ID

The Vonage Application ID.

VONAGE_APPLICATION_PRIVATE_KEY_PATH

Private key path.

JWT

Used to authenticate your request. See Authentication for more information, including how to generate a JWT.

TEMPLATE_ID

The custom template ID

Write the code

Add the following to update-template.sh:

curl -X PATCH "https://api.nexmo.com/v2/verify/templates/$VERIFY_TEMPLATE_ID" \
  -H "Authorization: Bearer $JWT"\
  -H 'Content-Type: application/json' \
  -d $'{
	   "name": "my-renamed-template",
     "is_default": false,
  }'

View full source

Run your code

Save this file to your machine and run it:

sh update-template.sh

Prerequisites

npm install @vonage/server-sdk

Create a file named get-template.js and add the following code:

const { Vonage } = require('@vonage/server-sdk');

const vonage = new Vonage ({
  applicationId: VONAGE_APPLICATION_ID,
  privateKey: VONAGE_APPLICATION_PRIVATE_KEY_PATH,
});

View full source

Write the code

Add the following to get-template.js:

vonage.verify2.getTemplate(VERIFY_TEMPLATE_ID)
  .then((template) => console.log(template))
  .catch((error) => console.error(error));

View full source

Run your code

Save this file to your machine and run it:

node get-template.js

Prerequisites

Add the following to build.gradle:

implementation 'com.vonage:server-sdk-kotlin:2.1.1'

Create a file named GetTemplate and add the following code to the main method:

val client = Vonage {
    applicationId(VONAGE_APPLICATION_ID)
    privateKeyPath(VONAGE_PRIVATE_KEY_PATH)
}

View full source

Write the code

Add the following to the main method of the GetTemplate file:

val template = client.verify.template(VERIFY_TEMPLATE_ID).get()
println(template)

View full source

Run your code

We can use the application plugin for Gradle to simplify the running of our application. Update your build.gradle with the following:

apply plugin: 'application'
mainClassName = project.hasProperty('main') ? project.getProperty('main') : ''

Run the following gradle command to execute your application, replacing com.vonage.quickstart.kt.verify.templates with the package containing GetTemplate:

gradle run -Pmain=com.vonage.quickstart.kt.verify.templates.GetTemplate

Prerequisites

Add the following to build.gradle:

implementation 'com.vonage:server-sdk:9.3.1'

Create a file named GetTemplate and add the following code to the main method:

VonageClient client = VonageClient.builder()
		.applicationId(VONAGE_APPLICATION_ID)
		.privateKeyPath(VONAGE_PRIVATE_KEY_PATH)
		.build();

View full source

Write the code

Add the following to the main method of the GetTemplate file:

var template = client.getVerify2Client().getTemplate(VERIFY_TEMPLATE_ID);
System.out.println(template);

View full source

Run your code

We can use the application plugin for Gradle to simplify the running of our application. Update your build.gradle with the following:

apply plugin: 'application'
mainClassName = project.hasProperty('main') ? project.getProperty('main') : ''

Run the following gradle command to execute your application, replacing com.vonage.quickstart.verify2.templates with the package containing GetTemplate:

gradle run -Pmain=com.vonage.quickstart.verify2.templates.GetTemplate

Prerequisites

Install-Package Vonage

Create a file named GetTemplateRequest.cs and add the following code:

var credentials = Credentials.FromAppIdAndPrivateKeyPath(VONAGE_APPLICATION_ID, VONAGE_APPLICATION_PRIVATE_KEY_PATH);
var client = new VonageClient(credentials);

View full source

Write the code

Add the following to GetTemplateRequest.cs:

var request = Vonage.VerifyV2.GetTemplate.GetTemplateRequest.Parse(TEMPLATE_ID);
var response = await client.VerifyV2Client.GetTemplateAsync(request);

View full source

Prerequisites

composer require vonage/client

Create a file named get-template.php and add the following code:

$client = new Vonage\Client(
    new Vonage\Client\Credentials\Keypair(VONAGE_APPLICATION_PRIVATE_KEY_PATH, VONAGE_APPLICATION_ID),
);

View full source

Write the code

Add the following to get-template.php:

$template = $client->verify2()->getCustomTemplate(TEMPLATE_ID);

View full source

Run your code

Save this file to your machine and run it:

php get-template.php

Prerequisites

gem install vonage

Create a file named get-template.rb and add the following code:

client = Vonage::Client.new(
  application_id: VONAGE_APPLICATION_ID,
  private_key: VONAGE_PRIVATE_KEY
)

View full source

Write the code

Add the following to get-template.rb:

template = client.verify2.templates.info(template_id: VERIFY_TEMPLATE_ID)

View full source

Run your code

Save this file to your machine and run it:

ruby get-template.rb